MyBlogVoice.Com API

This is the official blog on the API that we are publishing for you to post remotely. Come back soon for a detailed summary of our API.


Working PHP RPC XML Example


   $userAgent = "myblogvoice XML RPC Client 1.0";
   $Host = "myBlogVoice.com";
   $Locaton = "/mbvXmlApi.php";

   $conn = fsockopen($Host,80);
   if(!$conn)
   {
     echo "fsockopen failed"."<br>";
     die;
   }

   $xmlString = "<methodCall>".
 "<methodName>myBlogVoice.getMyBlogs</methodName>".
    "<params><param><value><string>myusername</string></value></param>".
    "<param><value><string>mypassword</string></value></param>".
    "</params></methodCall>";

   $headers = "POST ".$Locaton." HTTP/1.0\r\n".
   "Host: ".$Host."\r\n".
   "Connection: close\r\n".
   "User-Agent: ".$userAgent."\r\n".
   "Content-Type: text/xml\r\n".
   "Content-Length: ".strlen($xmlString)\r\n\r\n";

   fputs($conn,$headers);
   fputs($conn,$xmlString);
   $response = "";

   while(!feof($conn)){  $response .= fgets($conn);  }

   fclose($conn);

   echo $response;

2006-05-05 16:54:39

0 Comment(s) - 0 Trackback(s)

RPC XML API Methods Described


HTTP headers:

Host: myblogvoice.com

Location: /mbvXmlApi.php

Headers: 

POST /mbvXmlApi.php HTTP/1.0
Host: myblogvoice.com
Connection: close
User-Agent: your user agent name.
Content-Type: text/xml
Content-Length: length of XML request 

For now MyBlogVoce.com supports 5 methods:

1.getMyBlogs 

Request example: 

<methodCall>
 <methodName>myBlogVoice.getMyBlogs</methodName>
   <params>
     <param>
      <value>
       <string>username</string>
      </value>
     </param>
     <param>
      <value>
       <string>password</string>
      </value>
     </param>
    </params>
</methodCall>

Response example:

<?xml version="1.0" encoding="utf-8" ?>
<methodResponse>
 <params>
  <param>
   <value>
    <array>
     <data>
      <value>
       <struct>
        <member>
         <name>blogID</name>
         <value>
           <int>999999</int>
         </value>
        </member>
        <member>
         <name>blogTitle</name>
         <value>
          <string>Blog Title</string>
         </value>
        </member>
        <member>
         <name>blogDescription</name>
         <value>
         <string>Blog Description</string>
        </value>
        </member>
        <member>
         <name>creationDate</name>
         <value>
          </dateTime.iso8601>20060108T11:42:20</dateTime.iso8601>
         </value>
        </member>
        <member>
         <name>blogURL</name>
         <value>
         <string>http://yourblogname.myblogvoice.com</string>
         </value>
        </member>
        <member>
         <name>allowComments</name>
         <value>
          <boolean>true</boolean>
         </value>
        </member>
        <member>
         <name>allowTrackbacks</name>
         <value>
          <boolean>false</boolean>
         </value>
        </member>
       </struct>
      </value>
     </data>
    </array>
   </value>
  </param>
 </params>
</methodResponse>

Rest of the metods will soon follow

Regards.

MyBlogVoice.com RPC XML API Team

2006-05-05 16:41:33

0 Comment(s) - 0 Trackback(s)


My Blogs



The Voice of MyBlogVoice.Com

MyBlogVoice.Com API

myblogvoice.com support

Previous posts



All Posts

Working PHP RPC XML Example

RPC XML API Methods Described

Archives



May (2)

April (1)

Feeds



RSS Feed

Add to My Yahoo!

Add to MyMSN button

Add to Bloglines button

Links


ATOM 0.3


Support - Free Wordpress Blog Hosting

Previous Blog          Next Blog